added better log information when ssldir is not the default

08/11/2011 03:26 AM - Corey Osman

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version: Bug scrub   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

def find_puppetca

      ssl_dir = Pathname.new ssldir

      unless (ssl_dir + "ca").directory?

        logger.warn "PuppetCA: SSL/CA unavailable on this machine" 

        raise "SSL/CA unavailable on this machine" 

      end

 It would be more helpful if the warning said:  PuppetCA: SSL/CA unavailable on this machine, try adding ssldir: <path to puppet ssl

dir> in the smart proxy settings.

Associated revisions

Revision dd633419 - 11/15/2012 07:40 AM - Greg Sutcliffe 

More detailed log message for puppetca ssldir Add ssldir and puppetdir to config examples Fixes #1104

History

#1 - 12/06/2011 10:04 AM - Jacob McCann

I just ran into this as well.  Noticed it is documented in the wiki, but as stated its not meantioned in error output.  Also, there is no 'sample' variable in

settings.yml

#2 - 11/13/2012 12:13 PM - Greg Sutcliffe

- Target version set to Bug scrub

#3 - 11/15/2012 06:13 AM - Greg Sutcliffe

- Status changed from New to Ready For Testing

https://github.com/theforeman/smart-proxy/pull/41

#4 - 11/15/2012 08:36 AM - Dominic Cleal

- Status changed from Ready For Testing to Resolved

Merged in 1ad2e81fc618a4bd845595664d4786e99983dc63.
